import { defineConfig } from "vite";
import uni from "@dcloudio/vite-plugin-uni";
import {NodeGlobalsPolyfillPlugin} from '@esbuild-plugins/node-globals-polyfill'
import rollupNodePolyFill from 'rollup-plugin-node-polyfills'
// https://vitejs.dev/config/
export default defineConfig({
  plugins: [uni()],
  resolve:{
    alias:{
      stream: 'stream-browserify',
      crypto: 'crypto-browserify',
    }
  },
  optimizeDeps:{
    esbuildOptions:{
      define:{
        global:'globalThis'
      },
      plugins:[
        NodeGlobalsPolyfillPlugin({
          process:true,
          buffer:true
        })
      ]
    }
  },
  build:{
    rollupOptions:{
      plugins:[
        rollupNodePolyFill()
      ]
    }
  }
});
